RocketCyber Secure Protocol / TLS Requirements

 

Beginning July 31, 2021 the RocketCyber Cloud requires clients connecting to utilize the TLS 1.2 or higher security protocol.

Most modern browsers and operating systems have this capability built in and can auto negotiate.

There are a few cases on Microsoft Windows where TLS 1.2 is either not enabled or not the default TLS protocol used to negotiate connections.

  • Windows 7 Service Pack 1
  • Windows Server 2008 R2 SP1
  • Windows Server 2012
  • Windows 10 Version 1507 and prior

Associated Error

If TLS 1.2 is not enabled at the target operating system when the powershell deployment script is run you may see an error similar to this:

Exception calling "DownloadFile" with "2" argument(s): "The request was aborted:
  Could not create SSL/TLS secure channel."

 

How to Add TLS 1.2 Support

For the operating systems listed above, Microsoft recommends the following methods to add support for TLS 1.2.

Please Note you must have the latest patches installed and updated before applying the steps in the linked article.

https://support.microsoft.com/en-us/topic/update-to-enable-tls-1-1-and-tls-1-2-as-default-secure-protocols-in-winhttp-in-windows-c4bd73d2-31d7-761e-0178-11268bb10392

 

 

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Contact us